local ret = ... or {};
ret.RedirTable =
{
	Up = "Blue",
	Down = "Blue",
	Left = "White",
	Right = "White",
	UpLeft = "Blue",
	UpRight = "Blue",
};

local OldRedir = ret.Redir;
ret.Redir = function(sButton, sElement)
	if sElement == "Tap Fake"
	then
		sElement = "Tap Note";
	end
	if sElement == "Hold Head Inactive" then
		sElement = "Hold Head Active";
	end
	if sElement == "Hold Body Inactive"
	then
		sElement = "Hold Body Active";
	end
  if sElement == "Hold Tail Inactive" then
    sElement = "Hold Tail Active";
  end    
	sButton = ret.RedirTable[sButton];
	return sButton, sElement;
end

local OldRedir = ret.Redir;
ret.Redir = function(sButton, sElement)
	if string.find(sElement, "hold") or string.find(sElement, "roll") then
		return sButton, sElement;
	end
	return OldRedir(sButton, sElement);
end

local OldFunc = ret.Load;
function ret.Load()
	local t = OldFunc();
	if Var "Element" == "Explosion"	then
		t.BaseRotationZ = nil;
	end
	return t;
end

ret.PartsToRotate =
{
	["Receptor"] = true,
	["Go Receptor"] = true,
	["Ready Receptor"] = true,
	["Tap Explosion Bright"] = true,
	["Tap Explosion Dim"] = true,
	["Tap Note"] = true,
	["Tap Fake"] = true,
	["Tap Lift"] = true,
	["Hold Head Active"] = true,
	["Hold Head Inactive"] = true,
	["Hold Tail Active"] = false,
	["Hold Tail Inactive"] = false,
	["Roll Head Active"] = true,
	["Roll Head Inactive"] = true,
	["Hold Explosion"] = true,
	["Roll Explosion"] = true,
	["Roll Tail Active"] = false,
	["Roll Tail Inactive"] = false,
};
ret.Rotate =
{
	Up = 0,
	Down = 0,
	Left = 0,
	Right = 0,
	UpLeft = 0,
	UpRight = 0,
};
ret.Blank =
{
	["Roll Explosion"] = true,
	["Hold Tail Active"] = true,
	["Hold Tail Inactive"] = true,
};
return ret;